NetBSD Problem Report #55951

From wiz@yt.nih.at  Sat Jan 23 14:56:38 2021
Return-Path: <wiz@yt.nih.at>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id B9AB51A923C
	for <gnats-bugs@gnats.NetBSD.org>; Sat, 23 Jan 2021 14:56:38 +0000 (UTC)
Message-Id: <20210123130454.18ECB1CB6AAE@yt.nih.at>
Date: Sat, 23 Jan 2021 14:04:54 +0100 (CET)
From: Thomas Klausner <wiz@NetBSD.org>
Reply-To: Thomas Klausner <wiz@NetBSD.org>
To: gnats-bugs@NetBSD.org
Subject: npm should work with all versions of nodejs*
X-Send-Pr-Version: 3.95

>Number:         55951
>Category:       pkg
>Synopsis:       npm should work with all versions of nodejs*
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Sat Jan 23 15:00:00 +0000 2021
>Originator:     Thomas Klausner
>Release:        NetBSD 9.99.78
>Organization:

>Environment:


Architecture: x86_64
Machine: amd64
>Description:
lang/npm depends on lang/nodejs.
There are other versions of nodejs in lang/nodejs*, which conflict with
lang/nodejs. npm should support all of them.

According to jperkin, that should be possible.

This currently breaks databases/sqlrelay-nodejs.
>How-To-Repeat:
Try building databases/sqlrelay-nodejs (after commenting out the BROKEN line).
>Fix:
Not provided.

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.46 2020/01/03 16:35:01 leot Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2020 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.